# RSL_get_ray_from_sweep

### Synopsis

#include "rsl.h"
Ray *RSL_get_ray_from_sweep(Sweep *s, float azim);

###

Description

Return a pointer to a Ray that is in the Sweep *s, for the azimuth angle azim. The search is to find a ray that is within one beam width of the desired angle. The search is +/- 1/2 horizontal beam width.

### Return value

Upon successful completion, a pointer to the Ray structure is returned. Otherwise, a NULL pointer is returned.

### See also

RSL_get_ray, RSL_get_ray_above, RSL_get_ray_below, RSL_get_first_ray_of_sweep, RSL_get_first_ray_of_volume.

Author: John H. Merritt